<template>
  <div class="dashboard">
    <placement-network-tree
      full-screen-view
      :show-toolbar="false"
      has-external-root-tree-data
      :enable-direct-enrol="false"
    />
  </div>
</template>

<script>
import PlacementNetworkTree from '@/app/genealogy/dashboard/components/PlacementNetworkTree'
import _ from 'lodash'
import { mapGetters } from 'vuex'
export default {
  name: 'PlacementTreeDiagram',
  components: { PlacementNetworkTree },
  computed: {
    ...mapGetters(['getMemberTreeDataTemp']),
  },
  mounted() {
    if (_.isEmpty(this.getMemberTreeDataTemp)) {
      this.$swal({
        title: this.$t('TreeViewer.View.Fail.Title'),
        text: this.$t('TreeViewer.Upload.UploadFile.Invalid.Msg'),
        type: 'error',
      })
      this.$router.push({ name: 'TreeFileUpload' })
    }
  },
}
</script>
